Artifacts - Create

Associates an artifact with a build.

POST https://dev.azure.com/{organization}/{project}/_apis/build/builds/{buildId}/artifacts?api-version=5.0

URI Parameters

Name In Required Type Description
buildId
path True
  • integer
int32

The ID of the build.

organization
path True
  • string

The name of the Azure DevOps organization.

project
path True
  • string

Project ID or project name

api-version
query True
  • string

Version of the API to use. This should be set to '5.0' to use this version of the api.

Request Body

Name Type Description
id
  • integer

The artifact ID.

name
  • string

The name of the artifact.

resource

The actual resource.

Responses

Name Type Description
200 OK

successful operation

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.build_execute Grants the ability to access build artifacts, including build results, definitions, and requests, and the ability to queue a build, update build properties, and the ability to receive notifications about build events via service hooks.

Definitions

ArtifactResource
BuildArtifact

Represents an artifact produced by a build.

ReferenceLinks

The class to represent a collection of REST reference links.

ArtifactResource

Name Type Description
_links

The class to represent a collection of REST reference links.

data
  • string

Type-specific data about the artifact.

downloadUrl
  • string

A link to download the resource.

properties
  • object

Type-specific properties of the artifact.

type
  • string

The type of the resource: File container, version control folder, UNC path, etc.

url
  • string

The full http link to the resource.

BuildArtifact

Represents an artifact produced by a build.

Name Type Description
id
  • integer

The artifact ID.

name
  • string

The name of the artifact.

resource

The actual resource.

The class to represent a collection of REST reference links.

Name Type Description
links
  • object

The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only.